Bug 454850 - Cannot build pango from the SRPM in Fedora repository
Cannot build pango from the SRPM in Fedora repository
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pango (Show other bugs)
9
i386 Linux
low Severity low
: ---
: ---
Assigned To: Behdad Esfahbod
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-10 03:23 EDT by Manilal
Modified: 2009-07-14 11:03 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:03:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Manilal 2008-07-10 03:23:48 EDT
Description of problem:
I have downloaded the pango SRPM from one of the Fedora
mirror(http://ftp-stud.hs-esslingen.de/pub/fedora/linux/updates/9/SRPMS/pango-1.20.4-1.fc9.src.rpm)
and tried to build a pango RPM. I have used the same SPEC file provided with
SRPM but added a simple patch from
http://bugzilla.gnome.org/show_bug.cgi?id=441654. However the build failed with
the following errors:

../xml/pango-version.xml:162: parser error : Entity 'nbsp' not defined
<varlistentry><term><emphasis>Returns</emphasis>&nbsp;:</term><listitem><simpara
                                                      ^
../xml/pango-version.xml:196: parser error : Entity 'nbsp' not defined
<varlistentry><term><parameter>required_major</parameter>&nbsp;:</term>
                                                               ^
../xml/pango-version.xml:199: parser error : Entity 'nbsp' not defined
<varlistentry><term><parameter>required_minor</parameter>&nbsp;:</term>
                                                               ^
../xml/pango-version.xml:202: parser error : Entity 'nbsp' not defined
<varlistentry><term><parameter>required_micro</parameter>&nbsp;:</term>
                                                               ^
../xml/pango-version.xml:205: parser error : Entity 'nbsp' not defined
<varlistentry><term><emphasis>Returns</emphasis>&nbsp;:</term><listitem><simpara
                                                      ^
../xml/pango-version.xml:222: parser error : chunk is not well balanced

^
../pango-docs.sgml:77: parser error : Failure to process entity pango-Version
    &pango-Version;
                   ^
../pango-docs.sgml:77: parser error : Entity 'pango-Version' not defined
    &pango-Version;
                   ^
unable to parse ../pango-docs.sgml
make[2]: *** [html-build.stamp] Error 6
make[2]: Leaving directory `/usr/src/redhat/BUILD/pango-1.20.4/docs'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/usr/src/redhat/BUILD/pango-1.20.4'
make: *** [all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.92159 (%build)

Version-Release number of selected component (if applicable):
pango-1.20.4-1.fc9.i386


How reproducible:
always

Steps to Reproduce:
1. Download the SRPM from
http://ftp-stud.hs-esslingen.de/pub/fedora/linux/updates/9/SRPMS/pango-1.20.4-1.fc9.src.rpm
2. install the SRPM using rpm -ivh pango-1.20.4-1.fc9.src.rpm
3. added the patch http://bugzilla.gnome.org/show_bug.cgi?id=441654
4. Build the rpm using rpmbuild -ba SPECS/pango.spec
  
Actual results:
The rpmbuild failed with error

Expected results:
create pango and pango-devel rpms

Additional info:
I have successfully build the pango-1.20.1 in Fedora 9.
Comment 1 Behdad Esfahbod 2008-07-13 09:11:29 EDT
Something broken with your XML tools setup.
Comment 2 Bug Zapper 2009-06-09 22:01:10 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-07-14 11:03:26 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.